import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'atmob_channel_reader_method_channel.dart';

abstract class AtmobChannelReaderPlatform extends PlatformInterface {
  /// Constructs a AtmobChannelReaderPlatform.
  AtmobChannelReaderPlatform() : super(token: _token);

  static final Object _token = Object();

  static AtmobChannelReaderPlatform _instance =
      MethodChannelAtmobChannelReader();

  /// The default instance of [AtmobChannelReaderPlatform] to use.
  ///
  /// Defaults to [MethodChannelAtmobChannelReader].
  static AtmobChannelReaderPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AtmobChannelReaderPlatform] when
  /// they register themselves.
  static set instance(AtmobChannelReaderPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<void> default4Test(String channel, int tgPlatformId, int appId) {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<String?> getChannel() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<int?> getAppId() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<int?> getTgPlatformId() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
